# log4cplus::ConfigureAndWatchThread Class Reference

`#include <configurator.h>`

Collaboration diagram for log4cplus::ConfigureAndWatchThread:

[legend]
List of all members.

## Public Member Functions

| ConfigureAndWatchThread (const log4cplus::tstring &propertyFile, unsigned int millis=60 *1000)
virtual | ~ConfigureAndWatchThread ()

## Constructor & Destructor Documentation

log4cplus::ConfigureAndWatchThread::ConfigureAndWatchThread | ( | const log4cplus::tstring & | propertyFile,
|  | unsigned int | millis = 60 *1000
| ) |

virtual log4cplus::ConfigureAndWatchThread::~ConfigureAndWatchThread | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- configurator.h